---
title: "Create BA Exchange Rate"
slug: "create-ba-exchange-rate"
updated: 2026-07-30T19:24:15Z
published: 2026-07-30T19:24:15Z
canonical: "developers.cmicglobal.com/create-ba-exchange-rate"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create BA Exchange Rate
Post/sys-rest-api/rest/1/exchangerate
## Create Exchange Rates
###
SecurityHTTPType basic
Basic authentication
Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceItem+json
Body parametersobject Example{
"BaexratBankCode": "CIBC",
"BaexratFcurrCode": "USD",
"BaexratTcurrCode": "CAD",
"BaexratExchgTypeCode": "STD",
"BaexratDate": "2016-01-01",
"BaexratRate1": 1.2021,
"BaexratRate2": 1.2,
"BaexratRate3": 1.2,
"BaexratVUuid": ""
}BaexratVUuidstring
Leave Blank
💻 UI Fieldname: BaexratVUuid
Max length64
BaexratFcurrCodestring
[] From Currency Code
💻 UI Fieldname: BaexratFcurrCode
Max length3
BaexratTcurrCodestring
[] To currency code
💻 UI Fieldname: BaexratTcurrCode
Max length3
BaexratExchgTypeCodestring
Exchange Type Code
💻 UI Fieldname: BaexratExchgTypeCode
Max length3
BaexratDatestring
Effective date of the record
💻 UI Fieldname: BaexratDate
BaexratRate3number
Exchange rate for category 3
💻 UI Fieldname: BaexratRate3
Max length2212
BaexratRate2number
Exchange rate for category 2
💻 UI Fieldname: BaexratRate2
Max length2212
BaexratRate1number
Exchange rate for category 1
💻 UI Fieldname: BaexratRate1
Max length2212
BaexratBankCodestring
[] Bank code
💻 UI Fieldname: BaexratBankCode
Max length9
Responses201
Created
HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
```json
{
"BaexratBankCode": "CIBC",
"BaexratFcurrCode": "USD",
"BaexratTcurrCode": "CAD",
"BaexratExchgTypeCode": "STD",
"BaexratDate": "2016-01-01",
"BaexratRate1": 1.2021,
"BaexratRate2": 1.2,
"BaexratRate3": 1.2,
"BaexratAutoFlag": "0",
"BaexratVUuid": "F26706F8360452F4E05316821FACACA4",
"BaexratIuCreateDate": null,
"BaexratIuCreateUser": null,
"BaexratIuUpdateDate": null,
"BaexratIuUpdateUser": null,
"links": [
{
"rel": "self",
"href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/exchangerate/F26706F8360452F4E05316821FACACA4",
"name": "exchangerate",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001740020463236373036463833363034353246344530353331363832314641434143413478"
}
},
{
"rel": "canonical",
"href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/exchangerate/F26706F8360452F4E05316821FACACA4",
"name": "exchangerate",
"kind": "item"
}
]
}
```
object